# REFSEQ
[SAMPLE]
accession java.lang.Integer 15079186

[CORE]
FIELD_ACCESSION_ALPHA SELECT accession FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_ANNOTATION      SELECT product_name FROM REFSEQ__DATA, REFSEQ__DATA__$PRODUCT WHERE AK_REFSEQ__DATA__id=REFSEQ__DATA.id AND id='@FIELD_ACCESSION@'
FIELD_SEQUENCE        SELECT SEQUENCE_N FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_SEQUENCE_LENGTH SELECT LENGTH(SEQUENCE_N) FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_COMMENT         SELECT comment FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_CHROMOSOME      SELECT value FROM REFSEQ__DATA__LINKAGES$CHROMOSOME, $CHROMOSOME WHERE $CHROMOSOME.id = FKDest__value AND FKSrc__value = '@FIELD_ACCESSION@'
FIELD_GENDER          SELECT value FROM REFSEQ__DATA__LINKAGES$GENDER, $GENDER WHERE $GENDER.id=FKDest__value AND FKSrc__value='@FIELD_ACCESSION@'
FIELD_CYTOBAND        SELECT chromosome_map FROM REFSEQ__DATA__$MAP WHERE AK_REFSEQ__DATA__id='@FIELD_ACCESSION@'
FIELD_NAME            SELECT gene_name FROM REFSEQ__DATA__$NAMES WHERE AK_REFSEQ__DATA__id='@FIELD_ACCESSION@'
FIELD_PROTEIN         SELECT SEQUENCE_P FROM REFSEQ__DATA__$PROTEIN WHERE AK_REFSEQ__DATA__id='@FIELD_ACCESSION@'
FIELD_PROTEIN_LENGTH  SELECT LENGTH FROM REFSEQ__DATA__$PROTEIN WHERE AK_REFSEQ__DATA__id = '@FIELD_ACCESSION@'
FIELD_ADDITION_DATE   SELECT addition_date FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_VERSION         SELECT version FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_DEFINITION      SELECT definition FROM REFSEQ__DATA WHERE id='@FIELD_ACCESSION@'
# Deprecated 22-Jul-2003 (sdz)
# FIELD_FULL_LENGTH     SELECT value FROM REFSEQ__DATA__LINKAGES$FULLLENGTH, $BOOLEAN WHERE $BOOLEAN.id = FKDest__value AND FKSrc__value='@FIELD_ACCESSION@'
FIELD_CIRCULAR        SELECT value FROM REFSEQ__DATA__LINKAGES$CIRCULAR, $BOOLEAN WHERE $BOOLEAN.id = FKDest__value AND FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_SWISSPROT_SIMILAR SELECT FKDest__value, MAX(score) AS FIELD_BITSCORE, Src_X1 AS FIELD_SRC_X, Src_X2 AS FIELD_SRC_Y, Dest_X1 AS FIELD_DEST_X, Dest_X2 AS FIELD_DEST_Y FROM REFSEQ__HOMOLOGY$SWISSPROT WHERE FKSrc__value=@FIELD_ACCESSION@ GROUP BY FKDest__value
LINK_TREMBL_SIMILAR    SELECT FKDest__value, MAX(score) AS FIELD_BITSCORE, Src_X1 AS FIELD_SRC_X, Src_X2 AS FIELD_SRC_Y, Dest_X1 AS FIELD_DEST_X, Dest_X2 AS FIELD_DEST_Y FROM REFSEQ__HOMOLOGY$TREMBL WHERE FKSrc__value=@FIELD_ACCESSION@ GROUP BY FKDest__value
# LINK_SWISSPROT_EQUIVALENT SELECT AK_SWISSPROT__DATA__id AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$SWISSPROT, REFSEQ__DATA__LINKAGES$TAXONOMY, SWISSPROT__DATA__$ACCESSIONS WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA__LINKAGES$SWISSPROT.FKSrc__value AND REFSEQ__DATA__LINKAGES$SWISSPROT.FKDest__value=accession AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND REFSEQ__DATA__LINKAGES$SWISSPROT.FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
# LINK_TREMBL_EQUIVALENT    SELECT AK_TREMBL__DATA__id AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$SPTREMBL, REFSEQ__DATA__LINKAGES$TAXONOMY, TREMBL__DATA__$ACCESSIONS WHERE REFSEQ__DATA__LINKAGES$TAXONOMY.FKSrc__value=REFSEQ__DATA__LINKAGES$SPTREMBL.FKSrc__value AND REFSEQ__DATA__LINKAGES$SPTREMBL.FKDest__value=accession AND REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND REFSEQ__DATA__LINKAGES$SPTREMBL.FKSrc__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC
LINK_TAXONOMY          SELECT FKDest__value AS id FROM REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value='@FIELD_ACCESSION@' ORDER BY REFSEQ__DATA__LINKAGES$TAXONOMY.FKDest__value ASC
LINK_PFAM              SELECT DISTINCT CONCAT('PF',LPAD(FKDest__value,5,'0')) AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$PFAM WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_KEGG              SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$KEGG_LIGAND_ENZYME WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_GENBANK           SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$GENBANK WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_COG               SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$COG WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_CHROMOSOME        SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$CHROMOSOME WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_LOCUSLINK         SELECT DISTINCT FKDest__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$LOCUSLINK WHERE FKSrc__value=@FIELD_ACCESSION@ ORDER BY FKDest__value ASC
LINK_OMIM              SELECT DISTINCT OMIM__DATA.id FROM OMIM__DATA, REFSEQ__DATA__LINKAGES$OMIM, REFSEQ__DATA WHERE OMIM__DATA.id=REFSEQ__DATA__LINKAGES$OMIM.FKDest__value AND REFSEQ__DATA__LINKAGES$OMIM.FKSrc__value=REFSEQ__DATA.id AND REFSEQ__DATA.id='@FIELD_ACCESSION@'

[LINKAGE_FROM]
LINK_TAXONOMY         SELECT FKSrc__value AS FIELD_ACCESSION FROM REFSEQ__DATA__LINKAGES$TAXONOMY WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FKSrc__value LIMIT 4;

[LINKAGE_CORE]
LINK_SWISSPROT_SIMILAR FIELD_PERCENTAGE  SELECT percentage FROM REFSEQ__HOMOLOGY$SWISSPROT WHERE FKSrc__value=@REFSEQ.FIELD_ACCESSION@ AND FKDest__value='@SWISSPROT.FIELD_ACCESSION@' AND Src_X1=@FIELD_SRC_X@ AND Src_X2=@FIELD_SRC_Y@ AND Dest_X1=@FIELD_DEST_X@ AND Dest_X2=@FIELD_DEST_Y@ AND score=@FIELD_BITSCORE@
LINK_TREMBL_SIMILAR    FIELD_PERCENTAGE  SELECT percentage FROM REFSEQ__HOMOLOGY$TREMBL WHERE FKSrc__value=@REFSEQ.FIELD_ACCESSION@ AND FKDest__value='@TREMBL.FIELD_ACCESSION@' AND Src_X1=@FIELD_SRC_X@ AND Src_X2=@FIELD_SRC_Y@ AND Dest_X1=@FIELD_DEST_X@ AND Dest_X2=@FIELD_DEST_Y@ AND score=@FIELD_BITSCORE@
