# TRANSFAC_FACTOR
[SAMPLE]
FIELD_ACCESSION java.lang.String T01501

[CORE]
FIELD_ANNOTATION                SELECT name FROM TRANSFAC__DATA__$FACTOR WHERE acc='@FIELD_ACCESSION@'
FIELD_CELL_SPECIFICITY_POSITIVE SELECT name FROM TRANSFAC__DATA__$FACTOR_CELL_SPECIFICITY_POSITIVE WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_CELL_SPECIFICITY_NEGATIVE SELECT name FROM TRANSFAC__DATA__$FACTOR_CELL_SPECIFICITY_NEGATIVE WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_EXPRESSION                SELECT CONCAT( organ, ',', cell_name, ',', development_stage, ',', expression_level, ',', detection_method, ',', mol_type ) FROM TRANSFAC__DATA__$FACTOR_EXPRESSION WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_GENERAL_FEATURES          SELECT CONCAT( x1,'-',x2,': ',feature ) FROM TRANSFAC__DATA__$FACTOR_FEATURES WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_STRUCTURAL_FEATURES       SELECT name FROM TRANSFAC__DATA__$FACTOR_STRUCTURAL_FEATURES WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_FUNCTIONAL_FEATURES       SELECT name FROM TRANSFAC__DATA__$FACTOR_FUNCTIONAL_FEATURES WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_HOMOLOGUES                SELECT name FROM TRANSFAC__DATA__$FACTOR_HOMOLOGUES WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_INFO                      SELECT CONCAT( date,' ',info,' by ',author ) FROM TRANSFAC__DATA__$FACTOR_INFO WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_PROTEIN_SEQUENCE          SELECT SEQUENCE_P FROM TRANSFAC__DATA__$FACTOR_PROTEINS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_SYNONYMS                  SELECT name FROM TRANSFAC__DATA__$FACTOR_SYNONYMS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'
FIELD_TAXONOMY                  SELECT species FROM TRANSFAC__DATA__$FACTOR_TAXONOMY WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_ENCODING_GENE              SELECT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$FACTOR_ENCODING_GENE WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
LINK_INTERACTING_FACTOR         SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK2_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
# cfjell no idea what this is for... duplicate line LINK_INTERACTING_FACTOR         SELECT AK2_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_MATRIX                     SELECT AK_TRANSFAC__DATA__$MATRIX__acc FROM TRANSFAC__DATA__$FACTOR_MATRIX WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$MATRIX__acc
LINK_SWISSPROT                  SELECT FKDest__value2 FROM TRANSFAC__DATA__LINKAGES$SWISSPROT WHERE FKSrc__value='@FIELD_ACCESSION@' ORDER BY FKDest__value2

[LINKAGE_FROM]
LINK_ENCODING_GENE              SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_ENCODING_GENE WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_INTERACTING_FACTOR         SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK2_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
# cfjell no idea what this is for... duplicate line LINK_INTERACTING_FACTOR         SELECT AK2_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_MATRIX                     SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_MATRIX WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_SWISSPROT                  SELECT FKSrc__value FROM TRANSFAC__DATA__LINKAGES$SWISSPROT WHERE FKDest__value2='@FIELD_ACCESSION@' ORDER BY FKSrc__value

[KEYWORD]
FIELD_ACCESSION                 SELECT DISTINCT acc FROM TRANSFAC__DATA__$FACTOR WHERE %acc% LIKE '@keyword@' ORDER BY acc
FIELD_ANNOTATION                SELECT DISTINCT acc FROM TRANSFAC__DATA__$FACTOR WHERE %name% LIKE '@keyword@' ORDER BY acc
FIELD_CELL_SPECIFICITY_POSITIVE SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_CELL_SPECIFICITY_POSITIVE WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_CELL_SPECIFICITY_NEGATIVE SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_CELL_SPECIFICITY_NEGATIVE WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_EXPRESSION                SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_EXPRESSION WHERE %CONCAT( organ, ',', cell_name, ',', development_stage, ',', expression_level, ',', detection_method, ',', mol_type )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_GENERAL_FEATURES          SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_FEATURES WHERE %CONCAT( x1,'-',x2,': ',feature )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_STRUCTURAL_FEATURES       SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_STRUCTURAL_FEATURES WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_FUNCTIONAL_FEATURES       SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_FUNCTIONAL_FEATURES WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_HOMOLOGUES                SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_HOMOLOGUES WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_INFO                      SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INFO WHERE %CONCAT( date,' ',info,' by ',author )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_PROTEIN_SEQUENCE          SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_PROTEINS WHERE %SEQUENCE_P% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_SYNONYMS                  SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_SYNONYMS WHERE %name% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
FIELD_TAXONOMY                  SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_TAXONOMY WHERE %species% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc

